/**
 * Common types for smartexpect
 */
/** Execution mode: sync or async */
export type TExecutionType = 'sync' | 'async';
/**
 * Definition of a custom matcher function.
 * Should return an object with `pass` and optional `message`.
 */
export type TMatcher = (
  received: any,
  ...args: any[]
) => { pass: boolean; message?: string | (() => string) };